/apps/{appId}/webhook (POST)
POST
/apps/{appId}/webhook
const url = 'https://example.com/api/v1/apps/example/webhook';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"provider":"github"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/apps/example/webhook \ --header 'Content-Type: application/json' \ --data '{ "provider": "github" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” appId
required
string
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Default Response
Media type application/json
Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}